### Property

# Gio Emblem:origin

since: 2.18

#### Declaration

    property origin: Gio.EmblemOrigin [ read, write, construct-only ]

#### Description

The origin the emblem is derived from.

Type: | `GEmblemOrigin`
Available since: | 2.18

Default value | G_EMBLEM_ORIGIN_UNKNOWN
Getter method | `g_emblem_get_origin()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes